Subject: bug#78601: [PATCH] Add tool-bar icons to package-menu-mode

From: Elijah Gabe Pérez <[email-masked]>
Date: Sat, 07 Jun 2025 20:36:09 -0600

Philip Kaludercic <[email-masked]> writes:

> The only comment I can make on the UX is that I find it surprising that
> the icons disappear in the *Help* buffer describing the package

That is because the icons are meant to be used in `package-menu-mode`,
not in `help-mode` (like `package-menu-mode` menu-bar).

> It is just that the idea of invoking `package-browse-url' by selecting
> the right line in the package-list buffer (without opening the *Help*
> buffer), and then selecting the button in the tool-bar is not an
> interaction that seems intuitive to me.

But `package-menu-mode` menu-bar does the same, I don't see the
difference, in my experience, i find it better than first opening the
*Help* buffer and later selecting the package website.

-- 
                                          - E.G via GNU Emacs and Org.